﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace Seminar04_Mi
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        List<Artikel> inventar = new List<Artikel>();

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            StreamReader sr = new StreamReader(@"..\..\..\beispielinventar.txt");

            while (!sr.EndOfStream)
            {
                // TODO: Exceptions behandeln
                string line = sr.ReadLine();
                string[] parts = line.Split('#');

                Artikel artikel = null;
                switch (parts[0])
                {
                    case "BUCH":
                        artikel = new Buch(parts[1], uint.Parse(parts[2]), (uint)(100.0*double.Parse(parts[3])), parts[4], parts[5], uint.Parse(parts[6]));
                        break;
                    case "DVD":
                        // TODO: Konstruktor aufrufen
                        break;
                    case "BLU_RAY":
                        // TODO: Konstruktor aufrufen
                        break;
                    default:
                        throw new ApplicationException("Unbekannter Artikeltyp");
                }
                inventar.Add(artikel);
            }

            sr.Close();
        }
    }
}
